Package com.ericsson.otp.erlang

# Class OtpErlangException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.ericsson.otp.erlang.OtpException
com.ericsson.otp.erlang.OtpErlangException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `OtpErlangDecodeException`, `OtpErlangExit`, `OtpErlangRangeException`

public class OtpErlangException extends OtpException
Base class for the other OTP erlang exception classes.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OtpErlangException()`
Provides no message.
`OtpErlangException(String msg)`
Provides a detailed message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OtpErlangException

public OtpErlangException()
Provides no message.

### OtpErlangException

public OtpErlangException(String msg)
Provides a detailed message.